%define major     0
%define libname   %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d
%define upversion 2016-04-01

Name:           re2
Version:        20160401
Release:        %mkrel 1
Summary:        C++ fast alternative to backtracking RE engines
Group:          System/Libraries
License:        BSD
URL:            https://github.com/google/%{name}/
Source0:        https://github.com/google/re2/archive/%{upversion}/%{name}-%{upversion}.tar.xz
Patch0:         re2-symbols-fix.patch

%description
RE2 is a C++ library providing a fast, safe, thread-friendly alternative to
backtracking regular expression engines like those used in PCRE, Perl, and
Python.

Backtracking engines are typically full of features and convenient syntactic
sugar but can be forced into taking exponential amounts of time on even small
inputs.

In contrast, RE2 uses automata theory to guarantee that regular expression
searches run in time linear in the size of the input, at the expense of some
missing features (e.g back references and generalized assertions).

%package -n     %{libname}
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %{libname}
RE2 is a C++ library providing a fast, safe, thread-friendly alternative to
backtracking regular expression engines like those used in PCRE, Perl, and
Python.

Backtracking engines are typically full of features and convenient syntactic
sugar but can be forced into taking exponential amounts of time on even small
inputs.

In contrast, RE2 uses automata theory to guarantee that regular expression
searches run in time linear in the size of the input, at the expense of some
missing features (e.g back references and generalized assertions).

%package -n     %{develname}
Summary:        C++ header files and library symbolic links for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the C++ header files and symbolic links to the shared
libraries for %{name}. If you would like to develop programs using %{name},
you will need to install %{develname}.


%prep
%setup -q -n %{name}-%{upversion}
%apply_patches

%build
export CXXFLAGS="%{optflags} -pthread -std=gnu++11" LDFLAGS="%{ldflags} -pthread"

%make

%install
rm -rf %buildroot
%make_install includedir=%{_includedir} libdir=%{_libdir}

# not required
find %{buildroot} -name '*.a' -delete


%files -n %{libname}
%doc AUTHORS CONTRIBUTORS LICENSE README
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Apr 13 2016 bb <bb> 20150401-1pclos2016
- import from france with mods

